spoonity logo
    • API
    • Documentation
    • Support
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
      • Spending Rules
    • Sign in

    Configuration

    Configurations are used to keep track of account preferences that impact how the platform behaves.

    The currency model

    The configuration model contains a field and one or more values.

    Properties

    • Name
      id
      Type
      string
      Description

      Unique identifier for the configuration.

    • Name
      data_type
      Type
      string
      Description

      A string representing the type that should be used to validate the value.

    • Name
      field
      Type
      string
      Description

      A period-delimited string representing the field.

    • Name
      value1
      Type
      string
      Description

      The primary value for the configuration.

    • Name
      value2
      Type
      string or null
      Description

      An optional secondary value for configurations that require two values.

    • Name
      date_created
      Type
      string
      Description

      Timestamp of when the configuration was first created.

    • Name
      date_updated
      Type
      string
      Description

      Timestamp of when the configuration was last updated.


    GET/configs

    Retrieve a list of configurations

    This endpoint allows you to retrieve a list of your configuration entries.

    Query parameters

    • Name
      query
      Type
      string
      Description

      A search string which can be used to filter results by various criteria (see below).

    Filter parameters

    These attributes can be used to filter the result set returned by the API. They are included as a space-delimited string of key:value pairs.

    • Name
      f
      Type
      string
      Description

      Field of the configuration.

    Request

    GET
    /configs
    curl -G https://api.spoonity.com/configs \
      -H "Authorization: Bearer {token}"
    

    Response

    {
      "items": [
        {
          "id": "conf_17b0187c18577b36",
          "data_type": "string",
          "field": "localization.default_language",
          "value1": "EN",
          "value2": null,
          "date_created": "2026-02-02T13:48:05.683Z",
          "date_updated": "2026-02-02T13:48:05.683Z",
        },
        {
          "id": "conf_76387cab5aeef61",
          "data_type": "boolean",
          "field": "fraud.enable_advanced",
          "value1": "1",
          "value2": null,
          "date_created": "2026-02-02T13:48:05.683Z",
          "date_updated": "2026-02-02T13:48:05.683Z",
        },
      ],
      "next": "https://api.spoonity.com/configs?limit=25&page=2",
      "prev": null
    }
    

    PUT/configs/:id

    Update a configuration

    This endpoint allows you to update the value of a configuration parameter.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The configuration ID.

    Optional attributes

    • Name
      value1
      Type
      string
      Description

      The primary value for the configuration.

    • Name
      value2
      Type
      string
      Description

      An optional secondary value for configurations that require two values.

    Request

    PUT
    /configs/:id
    curl -G https://api.spoonity.com/configs/:id \
    --request PUT \
    -H "Authorization: Bearer {token}" \
    -d value1="0"
    

    Response

    {
      "id": "conf_76387cab5aeef61",
      "data_type": "boolean",
      "field": "fraud.enable_advanced",
      "value1": "0",
      "value2": null,
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
    }
    

    Was this page helpful?

    PreviousCheckin
    NextCurrency

    © Copyright 2026 Spoonity, Inc. All rights reserved.